# ShopInteractListener (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.listeners

## Class ShopInteractListener

- java.lang.Object
- - de.epiceric.shopchest.listeners.ShopInteractListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class ShopInteractListener
    extends Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`ShopInteractListener(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onInventoryClick(org.bukkit.event.inventory.InventoryClickEvent e)`
`void` `onPlayerDamageEntity(org.bukkit.event.entity.EntityDamageByEntityEvent e)`
`void` `onPlayerInteract(org.bukkit.event.player.PlayerInteractEvent e)`
`void` `onPlayerInteractAtEntity(org.bukkit.event.player.PlayerInteractAtEntityEvent e)`
`void` `onPlayerInteractCreate(org.bukkit.event.player.PlayerInteractEvent e)`
`void` `onPlayerManipulateArmorStand(org.bukkit.event.player.PlayerArmorStandManipulateEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopInteractListener

    public ShopInteractListener(ShopChest plugin)

### Method Detail

#### onInventoryClick

    public void onInventoryClick(org.bukkit.event.inventory.InventoryClickEvent e)

#### onPlayerManipulateArmorStand

    public void onPlayerManipulateArmorStand(org.bukkit.event.player.PlayerArmorStandManipulateEvent e)

#### onPlayerInteractCreate

    public void onPlayerInteractCreate(org.bukkit.event.player.PlayerInteractEvent e)

#### onPlayerInteract

    public void onPlayerInteract(org.bukkit.event.player.PlayerInteractEvent e)

#### onPlayerInteractAtEntity

    public void onPlayerInteractAtEntity(org.bukkit.event.player.PlayerInteractAtEntityEvent e)

#### onPlayerDamageEntity

    public void onPlayerDamageEntity(org.bukkit.event.entity.EntityDamageByEntityEvent e)